---
title: SVGAnimatedLength
slug: Web/API/SVGAnimatedLength
tags:
  - API
  - Reference
  - Référence(2)
  - SVG
---
<div>{{APIRef("SVG")}}</div>

<h2 id="SVG_animated_length_interface">SVG animated length interface</h2>

<p>The <code>SVGAnimatedLength</code> interface is used for attributes of basic type <a href="/en/SVG/Content_type#Length">&lt;length&gt;</a> which can be animated.</p>

<h3 id="Interface_overview">Interface overview</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Also implement</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Methods</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Properties</th>
   <td>
    <ul>
     <li>readonly {{ domxref("SVGLength") }} <code>baseVal</code></li>
     <li>readonly {{ domxref("SVGLength") }} <code>animVal</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/types.html#InterfaceSVGAnimatedLength">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name</th>
   <th>Type</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>baseVal</code></td>
   <td>{{ domxref("SVGLength") }}</td>
   <td>The base value of the given attribute before applying any animations.</td>
  </tr>
  <tr>
   <td><code>animVal</code></td>
   <td>{{ domxref("SVGLength") }}</td>
   <td>If the given attribute or property is being animated, contains the current animated value of the attribute or property. If the given attribute or property is not currently being animated, contains the same value as <code>baseVal</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<p>The <code>SVGAnimatedLength</code> interface do not provide any specific methods.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.SVGAnimatedLength")}}</p>
